* {
    margin: 0;
    padding: 0;
}

a {
    text-decoration-line: none;
}

a.ankkuri {
    display: block;
    position: relative;
    top: -4em;
}

a:link {
    color: inherit;
    text-decoration: none;
}

a:visited {
    color: inherit;
}

body {
    width: 100%;
    background-color: hsl(229, 50%, 10%);
    font-family: Arial, Tahoma, sans-serif;
    font-size: 100%;
    color: white;
}

h1 {
    text-align: center;
    font-size: 3em;
}

h2 {
    font-size: 2em;
}

.hakemisto {
    display: block;
    margin-top: 0em;
    margin-bottom: 6em;    
    color: hsl(300, 93%, 40%);
    font-weight: bold;
    vertical-align: middle;
}

.hakusana {
    font-size: 2.5em;
    padding: 1em;
    float: left;   
}

.indeksi {
    clear: both;
    color: hsl(300, 93%, 40%);
    font-weight: bold;
    margin-top: 3em;
    margin-bottom: 1em;
}

input, textarea {
    background-color: inherit;
    color: white;
}

.jarjestys {
    display: block;
    font-size: 1.3em;
    margin-top: 2em;
    margin-left: 1em;
    line-height: 2.5em;
}

.jarjestys h1 {
    margin-bottom: 0.5em;
}

.k {
    color: hsl(300, 93%, 40%);
}

li {
    float: left;
    clear: both;
    margin-bottom: 1em;
    padding-bottom: 1em;
}

.osoitin {
    cursor: pointer;
}

.otsake {
    text-align: center;
    font-weight: bold;
    width: 70%;
}

p {
    margin: 1em;
}

#sanat {
    visibility: visible;
    font-size: 3em;
    line-height: 1.4;
    margin-left: 2em;
    margin-top: 3em;
}

.sasatyyli {
    display: none;
    position: -webkit-sticky;
    position: sticky;
    top: 10vh;
    left: 10vw;
    background: linear-gradient(to bottom right, hsl(300, 93%, 30%), hsl(300, 93%, 15%));
    width: 40vw;
    min-width: 600px;
    margin: auto;
    z-index: 20;
    padding: 1em;
    font-size: 2em;
    text-align: center;
}

.sasapainike{
    font-size: 1em;
    margin: 1em;
    background: linear-gradient(to bottom right, hsl(33, 100%, 45%), hsl(33, 100%, 30%));
    padding: 0.5em
}

.sasasyote {
    background: hsl(229, 50%, 10%);
    font-size: 1em;
    margin: 1em;
    padding: 0.5em
}

#savellaji {
    text-align: center;
    font-size: 2em;
}

#tekijat {
    font-size: 2em;
    text-align: left;
    padding-top: 2em;
    margin-left: 2em;
    clear: left;
    line-height: 1.5em;
}

title {
    text-transform: capitalize;
}

#vaarasalasana {
    color: gold;
}

.vali {
    width: 100%;
    height: 2em;
    clear: both;
}

.valinnat {
    text-align: center;
    padding: 0 0.5em;
    cursor: pointer;
}

.valikko, .ylos {
    text-align: center;
    font-size: 2.5em;
    font-weight: bolder;
}

.valikkosisalto {
    display: none;
    position: absolute;
    background: linear-gradient(to bottom right, hsl(300, 93%, 30%), hsl(300, 93%, 15%));
    min-width: 500px;
    z-index: 10;
}

.valikkosisalto a {
    float: none;
    color: white;
    padding: 0.5em 1em;
    text-decoration: none;
    display: block;
    text-align: left;
}

.varitys {
    font-size: 2.5em;
    text-align: center;
    cursor: pointer;
}

.ylarivi {
    width: 100%;
    position: fixed;
    top: 0;
    background: linear-gradient(to bottom right, hsl(300, 93%, 30%), hsl(300, 93%, 15%));
    z-index: 10;
}

.znayta {
    display: block;
}

@media only screen and (min-resolution: 250dpi) and (orientation: portrait) {
    .hakemisto {
        margin-bottom: 10em;
    }
    
    .osa-alue {
        font-size: 3vw;
        margin: 7vw auto;
    }
    
    #sanat {
        margin-top: 4em;
    }
    
    .sasatyyli {
        font-size: 2.5em;
        min-width: 700px;
    }
    
    .valikko {
        font-size: 3em;
    }
    
    .yhteystiedot {
        margin-top: 5em;
    }
    
    .ylarivi {
        font-size: 120%;
    }
    
    .ylos {
        font-size: 3.5em;
    }